import {Component, OnInit, ViewChild} from '@angular/core';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { FrameDetailComponent } from '../../../../frame/core/detail/frame.detail';

@Component({
  selector: 'app-std-reg-choose',
  templateUrl: './std-reg-choose.component.html',
  styleUrls: ['./std-reg-choose.component.scss']
})
export class StdRegChooseComponent extends FrameDetailComponent implements OnInit {

  StudentArray;
  AfterChooseStdudent;
  AfterCloseWindow;

  constructor(bsModalRef: BsModalRef) {
    super(bsModalRef);
  }

  ngOnInit() {
  }

  /*************
   * 选择考生
   */
  chooseStd(std) {
    this.AfterChooseStdudent.apply(undefined, [std]);
    this.bsModalRef.hide();
  }

  closeThisWindow() {
    this.AfterCloseWindow.apply();
    this.bsModalRef.hide();
  }


}


